<script setup>
  import { useRouter } from 'vue-router';

  const router = useRouter();

  let password = '';

  function sendReset() {
    console.log('envoie de la demande...')
    console.log(router.currentRoute._value.query.token)
    fetch('https://api.mangaUpdate.fr/reset-password/reset/' + router.currentRoute._value.query.token, {
      method: 'POST',
      headers: {'Content-Type': 'application/json'},
      body: JSON.stringify({
        'password':password
      })
    })
    .then(response => response.json())
    .then(data => {
      console.log(data);
      if(data === 'mot de passe modifie'){
        router.push('/')
      }else{
        document.getElementById('error').innerText = data;
      }
    })
  }

</script>

<template>
  <main class="container mx-auto flex flex-col items-center mt-8">
    <h3 class="text-2xl mb-8">Création d'un nouveau mot de passe</h3>
    <form method="post" v-on:submit.prevent="sendReset" class="formulaire_login text-lg flex flex-col p-4">
      <div class="flex flex-col gap-2 mb-4">
        <input type='password' name="password" id="inputPassword" class="rounded text-black border-2 px-2" v-model="password" placeholder="Password" required>
      </div>
      <button type="submit" class='rounded my-4 px-2 py-1 bg-gray-400 text-black hover:bg-white border-2 hover:border-grey duration-200 self-center'>Confirmer le nouveau mot de passe</button>
    </form>
    <div id="error" class="my-3 text-red-500">
    </div>
  </main>
</template>

<style>

main{
  margin-top: 2rem;
}

#connection{
  cursor:pointer;
}

@media (min-width: 1024px) {
  .about {
    min-height: 100vh;
    display: flex;
    align-items: center;
  }
}
</style>